Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document
Class DocumentValue

    java.lang.Object
      com.bea.p13n.content.ContentValue
          com.bea.p13n.content.document.DocumentValue

All Implemented Interfaces:
  Serializable

Deprecated. No longer needed - Use Document object instead.

public class DocumentValue
extends ContentValue

A value object for Documents.

Currently, this only supports the explicit attributes of a Document object.

See Also:
  `Document.getDocumentByValue()`, Serialized Form

Field Summary
`String` | `author` Deprecated. The document author.
`String` | `comments` Deprecated. The document comments.
`Timestamp` | `creationDate` Deprecated. The date upon which the document was created.
`String` | `description` Deprecated. The document description.
`String` | `lockedBy` Deprecated. The document locker.
`String` | `modifiedBy` Deprecated. The document modifier.
`Timestamp` | `modifiedDate` Deprecated. The document last modified date.
`String` | `name` Deprecated. The document names.
`long` | `size` Deprecated. The document size.
`long` | `version` Deprecated. The document version.

Fields inherited from class com.bea.p13n.content.ContentValue
`identifier, mimeType`

Constructor Summary
`protected` | `DocumentValue()` Deprecated. Only get/setDocumentByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### author

    public String author

  Deprecated.
  The document author.
  - Containment: By Value
  - Multiplicity: 1:1

### comments

    public String comments

  Deprecated.
  The document comments.
  - Containment: By Value
  - Multiplicity: 1:1

### creationDate

    public Timestamp creationDate

  Deprecated.
  The date upon which the document was created.
  - Containment: By Value
  - Multiplicity: 1:1

### description

    public String description

  Deprecated.
  The document description.
  - Containment: By Value
  - Multiplicity: 1:1

### lockedBy

    public String lockedBy

  Deprecated.
  The document locker.
  - Containment: By Value
  - Multiplicity: 1:1

### modifiedBy

    public String modifiedBy

  Deprecated.
  The document modifier.
  - Containment: By Value
  - Multiplicity: 1:1

### modifiedDate

    public Timestamp modifiedDate

  Deprecated.
  The document last modified date.
  - Containment: By Value
  - Multiplicity: 1:1

### name

    public String name

  Deprecated.
  The document names.
  - Containment: By Value
  - Multiplicity: 1:1

### size

    public long size

  Deprecated.
  The document size.
  - Containment: By Value
  - Multiplicity: 1:1

### version

    public long version

  Deprecated.
  The document version.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### DocumentValue

    protected DocumentValue()

  Deprecated.
  Only get/setDocumentByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved